> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of items



## OpenAPI

````yaml get /v2/product/list
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v2/product/list:
    get:
      tags:
        - Product V2
      summary: Get list of items
      operationId: v2_get_item_list
      parameters:
        - name: num_records
          in: query
          description: >-
            Number of records to fetch, default : all items will be sent in
            response
          schema:
            type: integer
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Item List fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGETResponseV2'
        '400':
          description: Error in fetching Item List
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponseV2'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponseV2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductResponseV2'
components:
  schemas:
    ListGETResponseV2:
      type: object
      properties:
        success:
          type: boolean
          description: Success flag
          example: true
        message:
          type: string
          description: Response message
          example: ''
        error_code:
          type: string
          description: Error Code
          example: ''
        errors:
          type: object
          properties: {}
          description: Errors
        data:
          $ref: '#/components/schemas/ProductListV2'
    ProductResponseV2:
      type: object
      properties:
        success:
          type: boolean
          description: Success flag
          example: true
        message:
          type: string
          description: Response message
          example: Message
        error_code:
          type: string
          description: Error Code
          example: ''
        errors:
          type: object
          properties: {}
          description: Errors
        data:
          $ref: '#/components/schemas/EmptyData'
    ProductListV2:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ItemList'
        total_records:
          type: integer
          description: Total Records available
          example: 10
    EmptyData:
      type: object
      properties:
        message:
          type: string
          description: Response message
          example: No data found!
    ItemList:
      required:
        - id
        - item_type
        - name
        - price_with_tax
        - quantity
        - unit_price
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique id for each item. If a new id  is sent, a new Item with the
            below details will be automatically created. if existing Item id is
            sent the details will not override the original item details. They
            will be applicable only to the current invoice
          example: ITEM123
        name:
          type: string
          description: Name of the Product
          example: Item Name
        quantity:
          type: number
          description: Current Quantity
          example: 1
        unit_price:
          type: number
          description: Price per item without Tax
          example: 100
        tax_rate:
          type: number
          description: Tax percentage for each item . Only valid tax rates are accepted
          example: 18
        price_with_tax:
          type: number
          description: Price per item with Tax
          example: 118
        discount_percent:
          type: number
          description: Default Discount Percent
          example: 10
        description:
          type: string
          description: Item Description
          example: Item Description
        hsn_code:
          type: string
          description: HSN Code
          example: '1234'
        item_type:
          type: string
          description: Product or Service enum
          example: Product
        unit:
          type: string
          description: item quantity unit
          example: kg
        category:
          type: string
          description: Category
          example: Electronics
        swipe_id:
          type: string
          description: Swipe ID assigned to the item
          example: '1'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````